# /v3/floor-price

## Get historical daily floor price

<mark style="color:blue;">`GET`</mark> `https://api.nftbank.ai/v3/floor-price/:network_id/:asset_contract`

This endpoint allows you to get daily historical floor prices.

#### Path Parameters

| Name                                              | Type   | Description                         |
| ------------------------------------------------- | ------ | ----------------------------------- |
| network\_id<mark style="color:red;">\*</mark>     | String | ethereum / matic                    |
| asset\_contract<mark style="color:red;">\*</mark> | String | The contract address of NFT project |

#### Query Parameters

| Name        | Type   | Description             |
| ----------- | ------ | ----------------------- |
| start\_date | String | for example: 2022-06-01 |
| end\_date   | String | for example: 2022-06-05 |

#### Headers

| Name                                        | Type   | Description                                  |
| ------------------------------------------- | ------ | -------------------------------------------- |
| x-api-key<mark style="color:red;">\*</mark> | string | API key request via \[API key request] link. |

{% tabs %}
{% tab title="200 Cake successfully retrieved." %}

```
{
    "data": [
        {
            "floorPriceEth": "94.989999999999994884",
            "processedAt": "2022-06-01T00:00:00+00:00"
        },
        {
            "floorPriceEth": "92.599999999999994316",
            "processedAt": "2022-06-02T00:00:00+00:00"
        },
        {
            "floorPriceEth": "94.689999999999997726",
            "processedAt": "2022-06-03T00:00:00+00:00"
        },
        {
            "floorPriceEth": "94.689999999999997726",
            "processedAt": "2022-06-04T00:00:00+00:00"
        },
        {
            "floorPriceEth": "96.000000000000000000",
            "processedAt": "2022-06-05T00:00:00+00:00"
        }
    ],
    "message": "OK",
    "statusCode": 20000
}
```

{% endtab %}
{% endtabs %}

<mark style="color:blue;">**curl request example**</mark>

```bash
curl -i -H "x-api-key: YOUR_API_KEY" \
  "https://api.nftbank.ai/v3/floor-price/ethereum/0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D?start_date=2022-06-01&end_date=2022-06-05"
```

<mark style="color:blue;">**curl response example**</mark>

```json
{
    "data": [
        {
            "floorPriceEth": "94.989999999999994884",
            "processedAt": "2022-06-01T00:00:00+00:00"
        },
        {
            "floorPriceEth": "92.599999999999994316",
            "processedAt": "2022-06-02T00:00:00+00:00"
        },
        {
            "floorPriceEth": "94.689999999999997726",
            "processedAt": "2022-06-03T00:00:00+00:00"
        },
        {
            "floorPriceEth": "94.689999999999997726",
            "processedAt": "2022-06-04T00:00:00+00:00"
        },
        {
            "floorPriceEth": "96.000000000000000000",
            "processedAt": "2022-06-05T00:00:00+00:00"
        }
    ],
    "message": "OK",
    "statusCode": 20000
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nftbank.ai/nft-valuation-api/historical-valuation-api/v3-floor-price.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
